FieldGroup< BaseTypeList_T, Dims_T >::GetMinMax Struct Reference

`#include <FieldGroup.h>`

## Public Member Functions

| GetMinMax (const Box3d &wsBounds, float *min, float *max)
| Ctor.
template<typename T>
void | operator() (const T &vec) const
| Functor.

## Public Attributes

float * | m_max
float * | m_min
const Box3d & | m_wsBounds

## Detailed Description

template<typename BaseTypeList_T, int Dims_T>
struct FieldGroup< BaseTypeList_T, Dims_T >::GetMinMax

Definition at line 1327 of file FieldGroup.h.

## Constructor & Destructor Documentation

## GetMinMax()

template<typename BaseTypeList_T, int Dims_T>

FieldGroup< BaseTypeList_T, Dims_T >::GetMinMax::GetMinMax | ( | const Box3d & | wsBounds,
|  | float * | min,
|  | float * | max )

inline

Ctor.

Definition at line 1330 of file FieldGroup.h.

: m_wsBounds(wsBounds), m_min(min), m_max(max)
{ }
FieldGroup::GetMinMax::m_max
float * m_max
Definition FieldGroup.h:1342
FieldGroup::GetMinMax::m_wsBounds
const Box3d & m_wsBounds
Definition FieldGroup.h:1340
FieldGroup::GetMinMax::m_min
float * m_min
Definition FieldGroup.h:1341
FieldGroup
Definition FieldGroup.h:304

References m_max, m_min, m_wsBounds, and FieldGroup< BaseTypeList_T, Dims_T >::wsBounds().

## Member Function Documentation

## operator()()

template<typename BaseTypeList_T, int Dims_T>
template<typename T>

void FieldGroup< BaseTypeList_T, Dims_T >::GetMinMax::operator() | ( | const T & | vec | ) | const

inline

Functor.

Definition at line 1335 of file FieldGroup.h.

{
FieldSampler<T, Dims_T>::getMinMax(vec, m_wsBounds, m_min, m_max);
}
FieldSampler::getMinMax
static void getMinMax(const WrapperVec_T &f, const Box3d &wsBounds, float *min, float *max)
Definition FieldSampler.h:318

References FieldSampler< WrapperVec_T, Dims_T >::getMinMax(), m_max, m_min, and m_wsBounds.

## Member Data Documentation

## m_wsBounds

template<typename BaseTypeList_T, int Dims_T>

const Box3d& FieldGroup< BaseTypeList_T, Dims_T >::GetMinMax::m_wsBounds

Definition at line 1340 of file FieldGroup.h.

Referenced by GetMinMax(), and operator()().

## m_min

template<typename BaseTypeList_T, int Dims_T>

float* FieldGroup< BaseTypeList_T, Dims_T >::GetMinMax::m_min

Definition at line 1341 of file FieldGroup.h.

Referenced by GetMinMax(), and operator()().

## m_max

template<typename BaseTypeList_T, int Dims_T>

float* FieldGroup< BaseTypeList_T, Dims_T >::GetMinMax::m_max

Definition at line 1342 of file FieldGroup.h.

Referenced by GetMinMax(), and operator()().

The documentation for this struct was generated from the following file:

- export/FieldGroup.h